#version 330

uniform sampler2D tex;
uniform vec2 texelSize;
uniform float radialBlur;
uniform float radialBright;

in vec2 ex_TexCoord;

layout(location = 0) out vec4 fragColor;

void main(void)
{
    const vec2 origin = vec2(0.5, 0.5);

    vec2 texCoord = ex_TexCoord;

    vec4 color = vec4(0.0, 0.0, 0.0, 0.0);
    texCoord += texelSize * 0.5 - origin;

    float scale;
    for (int i = 0; i < 12; i++)
    {
        scale = 1.0 - radialBlur * (float(i) / 11.0);
        color += texture(tex, texCoord * scale + origin);
    }

    fragColor = color / 12.0 * radialBright;
}