#version 330

uniform sampler2D tex;
uniform sampler2D distortionTex;

in vec2 ex_TexCoord;

layout(location = 0) out vec4 fragColor;

void main(void)
{
    vec2 texCoord = ex_TexCoord;

    vec2 dist = texture(distortionTex, texCoord).xy;
    if(dist != vec2(0.0, 0.0))
    {
        vec2 diff = dist - vec2(0.5, 0.5);
        //diff *= 0.02;
        texCoord += diff;
    }

    fragColor = texture(tex, texCoord);
}
