#version 330

in vec2 ex_TexCoord;

uniform float waveStrength;

layout(location = 0) out vec4 fragColor;
layout(location = 1) out vec4 distortion;

void main(void)
{
    fragColor = vec4(0.0, 0.0, 0.0, 0.0);

    const vec2 center = vec2(0.5, 0.5);
    const float rad = 0.4;
    const float width = 0.1;
    const float fac = 1.0 / width;

    float dist = distance(ex_TexCoord, center);
    if ((dist <= (rad + width)) &&
        (dist >= (rad - width)))
    {
        float diff = (dist - rad);
        float powDiff = 1.0 - pow(abs(diff * fac), 0.25);
        float diffTime = diff  * powDiff;
        vec2 diffUV = normalize(ex_TexCoord - center) * waveStrength;
        distortion = vec4(diffUV * diffTime + center, 0.0, 1.0);
    }
    else
        distortion = vec4(0.0, 0.0, 0.0, 0.0);
}
